PHP Manual
Prev |  | Next

# date_sun_info

(no version information, might be only in CVS)

date_sun_info -- Returns an array with information about sunset/sunrise and twilight begin/end

## Description

array date_sun_info ( int time, float latitude, float longitude )

## Parameters

`time`

  Timestamp.

`latitude`

  Latitude in degrees.

`longitude`

  Longitude in degrees.

## Return Values

Returns array on success or `FALSE` on failure.

## Examples

Example 1. A date_sun_info() example

`<?php $sun_info = date_sun_info(strtotime("2006-12-12"), 31.7667, 35.2333); foreach ($sun_info as $key => $val) { echo "$key: " . date("H:i:s", $val) . "\n"; } ?>`

The above example will output:

    sunrise: 05:52:11
    sunset: 15:41:21
    transit: 10:46:46
    civil_twilight_begin: 05:24:08
    civil_twilight_end: 16:09:24
    nautical_twilight_begin: 04:52:25
    nautical_twilight_end: 16:41:06
    astronomical_twilight_begin: 04:21:32
    astronomical_twilight_end: 17:12:00

## See Also

date_sunrise()
date_sunset()

Prev | Home | Next
date_parse | Up | date_sunrise